Skip to main content
GET
/
payment-service-definitions
C#
using Gr4vy;
using Gr4vy.Models.Components;
using Gr4vy.Models.Requests;

var sdk = new Gr4vySDK(
    id: "example",
    server: SDKConfig.Server.Sandbox,
    bearerAuthSource: Auth.WithToken(privateKey),
    merchantAccountId: "default"
);

ListPaymentServiceDefinitionsResponse? res = await sdk.PaymentServiceDefinitions.ListAsync(
    cursor: "ZXhhbXBsZTE",
    limit: 20
);

while(res != null)
{
    // handle items

    res = await res.Next!();
}
{
  "items": [
    {
      "id": "<string>",
      "display_name": "<string>",
      "method": "abitab",
      "fields": [
        {
          "key": "<string>",
          "display_name": "<string>",
          "required": true,
          "format": "text",
          "secret": true
        }
      ],
      "reporting_fields": [
        {
          "key": "<string>",
          "display_name": "<string>",
          "required": true,
          "format": "text",
          "secret": true
        }
      ],
      "supported_currencies": [
        "<string>"
      ],
      "supported_countries": [
        "<string>"
      ],
      "mode": "card",
      "supported_features": {},
      "required_checkout_fields": [
        {
          "required_fields": [
            "<string>"
          ],
          "conditions": {
            "country": [
              "IN"
            ]
          }
        }
      ],
      "configuration": {
        "approval_ui_target": "new_window",
        "approval_ui_height": "<string>",
        "approval_ui_width": "<string>",
        "cart_items_limit": 123,
        "cart_items_required": true,
        "cart_items_should_match_amount": true
      },
      "supported_integration_clients": [
        "redirect"
      ],
      "type": "payment-service-definition",
      "icon_url": "https://example.com/icons/adyen-ideal.svg"
    }
  ],
  "limit": 20,
  "next_cursor": "ZXhhbXBsZTE",
  "previous_cursor": "Xkjss7asS"
}

Documentation Index

Fetch the complete documentation index at: https://docs.gr4vy.com/llms.txt

Use this file to discover all available pages before exploring further.

This API is different from the list connection definitions because it only returns definitions for payment services and not anti-fraud and gift card services. This endpoint requires the payment-service-definitions.read scope.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

cursor
string | null

A pointer to the page of results to return.

Example:

"ZXhhbXBsZTE"

limit
integer
default:20

The maximum number of items that are at returned.

Required range: 1 <= x <= 100
Example:

20

Response

Successful Response

items
PaymentServiceDefinition · object[]
required

A list of items returned for this request.

limit
integer
default:20

The number of items for this page.

Required range: 1 <= x <= 100
Example:

20

next_cursor
string | null

The cursor pointing at the next page of items.

Required string length: 1 - 1000
Example:

"ZXhhbXBsZTE"

previous_cursor
string | null

The cursor pointing at the previous page of items.

Required string length: 1 - 1000
Example:

"Xkjss7asS"